import { motion } from "framer-motion";
import React from "react";
import { pathVariants, svgVariants } from "../../animations/animations";
import "../Navbar/Navbar.scss";

const LogoSVG = ({onClick}) => {
  
  return (
    <>
      <div className="center">
        <motion.svg
          className="logosvg"
          width="5.51111in"
          height="4.44444in"
          viewBox="0 0 496 400"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
          variants={svgVariants}
          initial="hidden"
          animate="visible"
          onClick={onClick}
        >
            <circle cx="93.5" cy="93.5" r="90" stroke="black" stroke-width="2"/>
          <motion.path
            fill="none"
            stroke-width="5"
            variants={pathVariants}
            d="M165.5 135C165.5 148.309 157.722 160.623 144.609 169.715C131.504 178.801 113.266 184.5 93 184.5C72.7343 184.5 54.4956 178.801 41.3914 169.715C28.2778 160.623 20.5 148.309 20.5 135C20.5 121.691 28.2778 109.377 41.3914 100.285C54.4956 91.1994 72.7343 85.5 93 85.5C113.266 85.5 131.504 91.1994 144.609 100.285C157.722 109.377 165.5 121.691 165.5 135Z"
            stroke="black"
          />
          <motion.path
            fill="none"
            stroke="black"
            stroke-width="5"
            variants={pathVariants}
            d="M93 31.6998L98.133 44.572L98.3841 45.2016H99.0619H115.026L102.299 52.7362L101.562 53.1722L101.879 53.9671L106.854 66.4429L93.5094 58.5427L93 58.2412L92.4906 58.5427L79.1457 66.4429L84.1205 53.9671L84.4375 53.1722L83.7011 52.7362L70.9737 45.2016H86.9381H87.6159L87.867 44.572L93 31.6998Z"
          />
          <motion.path
            fill="none"
            stroke-width="5"
            variants={pathVariants}
            d="M132 117.5C132 119.418 130.857 121.269 128.777 122.683C126.701 124.095 123.778 125 120.5 125C117.222 125 114.299 124.095 112.223 122.683C110.143 121.269 109 119.418 109 117.5C109 115.582 110.143 113.731 112.223 112.317C114.299 110.905 117.222 110 120.5 110C123.778 110 126.701 110.905 128.777 112.317C130.857 113.731 132 115.582 132 117.5Z"
            stroke="black"
          />
          <motion.path
            fill="none"
            stroke-width="5"
            variants={pathVariants}
            d="M78 117.5C78 119.418 76.8573 121.269 74.7765 122.683C72.701 124.095 69.7779 125 66.5 125C63.2221 125 60.299 124.095 58.2235 122.683C56.1427 121.269 55 119.418 55 117.5C55 115.582 56.1427 113.731 58.2235 112.317C60.299 110.905 63.2221 110 66.5 110C69.7779 110 72.701 110.905 74.7765 112.317C76.8573 113.731 78 115.582 78 117.5Z"
            stroke="black"
          />
          <motion.path
            fill="none"
            stroke-width="5"
            variants={pathVariants}
            d="M37.0975 71.0737L43.1478 81.0756L39.7787 83.1136L24.324 57.5649L33.7469 51.8649C36.5427 50.1737 39.1619 49.564 41.6045 50.0359C44.0587 50.5007 45.997 51.9087 47.4194 54.26C48.9196 56.74 49.2986 59.1232 48.5565 61.4097C47.8191 63.6773 46.0056 65.6851 43.1162 67.4329L37.0975 71.0737ZM35.4311 68.3188L41.4848 64.6568C43.2863 63.5671 44.412 62.3109 44.8617 60.8884C45.3044 59.4542 45.041 57.9357 44.0715 56.3331C43.1516 54.8123 41.9361 53.8859 40.4249 53.5537C38.9137 53.2215 37.311 53.5438 35.617 54.5206L29.3702 58.2994L35.4311 68.3188Z"
            stroke="black"
          />
          <motion.path
            fill="none"
            stroke-width="5"
            variants={pathVariants}
            d="M157.161 80.5608C155.122 83.0005 152.807 84.4017 150.216 84.7642C147.644 85.1227 144.997 84.4106 142.275 82.6279C139.324 80.6953 137.649 78.0868 137.251 74.8024C136.864 71.5255 137.831 68.1142 140.153 64.5686L141.726 62.1668C143.247 59.845 144.996 58.0731 146.973 56.8511C148.961 55.6365 151.023 55.0584 153.159 55.1168C155.301 55.1637 157.374 55.8426 159.375 57.1535C162.029 58.8912 163.669 61.0279 164.297 63.5634C164.932 66.0875 164.523 68.7453 163.071 71.5367L159.76 69.3682C160.777 67.1908 161.097 65.3415 160.721 63.8202C160.356 62.3064 159.316 60.9877 157.6 59.8641C155.495 58.4859 153.333 58.1812 151.114 58.9502C148.906 59.7267 146.861 61.5503 144.981 64.4211L143.397 66.8401C141.622 69.5507 140.776 72.0774 140.86 74.4202C140.943 76.763 142.003 78.6011 144.039 79.9344C145.869 81.1328 147.54 81.6387 149.051 81.4519C150.582 81.2611 152.181 80.2413 153.85 78.3923L157.161 80.5608Z"
            stroke="black"
          />
        </motion.svg>
      </div>
    </>
  );
};

export default LogoSVG;
